<template>
	<div>
		<LayoutHeader
			title="Connexion"
			desc="Retrouver vos informations et votre temps d'utilisation d'écran à travers vis différents appareils connectés."
		/>
		<div class="flex gap-1 column mt-3 pb-2">
			<InputField v-model="email" class="mb-1" name="Email" />
			<InputField v-model="password" name="Password" type="password" />
			<RouterLink class="right-text" to="/retrieve">
				mot de passe oublié ?
			</RouterLink>
		</div>
		<ButtonArea>
			<button class="w-100 md button" @click="login()">
				<span v-if="state === 'INACTIVE'">Se connecter</span>
				<span v-if="state === 'LOADING'">Loading...</span>
			</button>
			<RouterLink to="/signup" class="w-100 mt-1 md center-text">
				Créer un compte
			</RouterLink>
		</ButtonArea>
	</div>
</template>

<script>
import ButtonArea from '@/components/ButtonArea';
import LayoutHeader from '@/components/LayoutHeader';
import InputField from '@/components/InputField';
import firebase from 'firebase';

import { MessageBox } from '@/common/components.ui.js';

const mb = MessageBox({
	title: 'Erreur de connexion',
	showConfirmButton: true,
});

export default {
	name: 'Login',
	components: { ButtonArea, LayoutHeader, InputField },
	data: () => ({
		state: 'INACTIVE',
		email: '',
		password: '',
	}),
	methods: {
		login() {
			this.state = 'LOADING';
			firebase.auth()
				.signInWithEmailAndPassword(this.email, this.password)
				.then((res) => {
					this.$router.push('/parental');
				})
				.catch(({ message }) => {
					this.state = 'INACTIVE';

					mb({ message });
				});
		}
	}
};
</script>

<style lang="scss" scoped>
</style>
